package cn.quant.baa.pay.acquirer;

import cn.quant.baa.pay.jpa.entity.PayHistoryEntity;
import cn.quant.baa.pay.model.web.*;
import com.fasterxml.jackson.databind.JsonNode;

/**
 * Created by Administrator on 2021/9/1 0001.
 */
public interface Acquirer {
    Object code();

    JsonNode pay(PayRequestData payRequestData, PayHistoryEntity payHistoryEntity);
    JsonNode refund(RefundRequestData refundRequestData);
    JsonNode checkPay(CheckPayRequestData checkPayRequestData);
    JsonNode checkRefund(CheckRefundRequestData checkRefundRequestData);
    JsonNode close(CloseRequestData closeRequestData);
}
